Prepare an idempotent wallet review for a quoted token launch.
POST /api/v1/token-launches/prepare. Prepare an idempotent wallet review for a quoted token launch.
Request
POST /api/v1/token-launches/prepare
Authentication is required. Supported credentials: a signed-in customer session token in Authorization: Bearer …. This route does not accept customer API keys.
Parameters
| Name | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
Idempotency-Key | header | string | Yes | min length: 8; max length: 256; pattern: ^[A-Za-z0-9._:-]+$ | — |
X-Service-Act-As | header | string | No | min length: 3; max length: 512 | Service-principal path only (local and devnet stages; refused by configuration on mainnet). With an OAuth client-credentials bearer token from the validator, names the allow-listed Party the client acts as. Missing: 400 SERVICE_ACT_AS_REQUIRED; not allow-listed: 403 SERVICE_PARTY_NOT_ALLOWED. Ignored for customer session tokens. |
X-Request-Id | header | string | No | min length: 8; max length: 128; pattern: ^[A-Za-z0-9._:-]+$ | Optional client correlation identifier. The server always generates a separate authoritative request ID and retains a valid supplied value only as secondary audit correlation metadata. |
Request body
A body is required.
Content type: application/json
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
quoteId | string | Yes | format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ | — |
walletConnectionId | string | Yes | format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ | — |
Additional fields are not allowed.
cURL
Create request.json using the request-body schema. The example sends the file bytes unchanged.
curl --fail-with-body --silent --show-error \
--request POST \
--url "https://launch-api.supanova.app/api/v1/token-launches/prepare" \
--header "Authorization: Bearer $SUPANOVA_SESSION_TOKEN" \
--header "Idempotency-Key: $IDEMPOTENCY_KEY" \
--header "Content-Type: application/json" \
--data-binary @request.jsonResponses
201
A simulated CIP-0103 wallet review and operation record: the 0.2.0 shape on the registry model, the version 2 quote and intent on the curve model.
| Header | Type | Description |
|---|---|---|
X-Request-Id | string | Server-generated request correlation identifier to retain for support and reconciliation. |
Content type: application/json
Type: one or more variants.
At least one of these variants must match:
400
The request is malformed or failed validation. Codes: VALIDATION_FAILED, IDEMPOTENCY_KEY_REQUIRED, AMBIGUOUS_CREDENTIALS, SERVICE_ACT_AS_REQUIRED.
| Header | Type | Description |
|---|---|---|
X-Request-Id | string | Server-generated request correlation identifier to retain for support and reconciliation. |
Content type: application/json
Standard envelope: error.code, error.message, optional error.details, and requestId. See error handling and the full code registry.
401
Credentials are missing, malformed, expired or revoked. Codes: AUTHENTICATION_REQUIRED, INVALID_AUTHORIZATION_HEADER, INVALID_ACCESS_TOKEN, SESSION_REVOKED.
| Header | Type | Description |
|---|---|---|
X-Request-Id | string | Server-generated request correlation identifier to retain for support and reconciliation. |
Content type: application/json
Standard envelope: error.code, error.message, optional error.details, and requestId. See error handling and the full code registry.
403
The credential may not call this route. Codes: ACCOUNT_RESTRICTED, ANONYMOUS_ACCOUNT_NOT_ALLOWED, API_KEY_ROUTE_NOT_ALLOWED, SERVICE_PARTY_NOT_ALLOWED, SERVICE_PRINCIPAL_NOT_ALLOWED, SIGNUP_NOT_INVITED.
| Header | Type | Description |
|---|---|---|
X-Request-Id | string | Server-generated request correlation identifier to retain for support and reconciliation. |
Content type: application/json
Standard envelope: error.code, error.message, optional error.details, and requestId. See error handling and the full code registry.
404
The quote does not exist: TOKEN_LAUNCH_QUOTE_NOT_FOUND.
| Header | Type | Description |
|---|---|---|
X-Request-Id | string | Server-generated request correlation identifier to retain for support and reconciliation. |
Content type: application/json
Standard envelope: error.code, error.message, optional error.details, and requestId. See error handling and the full code registry.
409
The request conflicts with current state, or the Idempotency-Key was reused with a different request (IDEMPOTENCY_KEY_CONFLICT; the former IDEMPOTENCY_CONFLICT is a deprecated alias, no longer returned, that clients handle the same way for one release). Codes: IDEMPOTENCY_KEY_CONFLICT, IDEMPOTENCY_CONFLICT.
| Header | Type | Description |
|---|---|---|
X-Request-Id | string | Server-generated request correlation identifier to retain for support and reconciliation. |
Content type: application/json
Standard envelope: error.code, error.message, optional error.details, and requestId. See error handling and the full code registry.
413
The request body exceeds the size limit.
| Header | Type | Description |
|---|---|---|
X-Request-Id | string | Server-generated request correlation identifier to retain for support and reconciliation. |
Content type: application/json
Standard envelope: error.code, error.message, optional error.details, and requestId. See error handling and the full code registry.
422
The quoted launch cannot be prepared: LAUNCH_MEDIA_NOT_PUBLISHED, LAUNCH_MEDIA_ROLE_MISMATCH, CREATOR_REWARD_PARTY_SOURCE_MISMATCH, TOKEN_LAUNCH_OPENING_BUY_NOT_SUPPORTED.
| Header | Type | Description |
|---|---|---|
X-Request-Id | string | Server-generated request correlation identifier to retain for support and reconciliation. |
Content type: application/json
Standard envelope: error.code, error.message, optional error.details, and requestId. See error handling and the full code registry.
428
The signed-in account must accept the current product terms first. Codes: PRODUCT_LEGAL_ACCEPTANCE_REQUIRED.
| Header | Type | Description |
|---|---|---|
X-Request-Id | string | Server-generated request correlation identifier to retain for support and reconciliation. |
Content type: application/json
Standard envelope: error.code, error.message, optional error.details, and requestId. See error handling and the full code registry.
429
The caller exceeded an IP or principal request budget.
| Header | Type | Description |
|---|---|---|
Retry-After | integer | Whole seconds to wait before retrying a rate-limited request. |
X-Request-Id | string | Server-generated request correlation identifier to retain for support and reconciliation. |
Content type: application/json
Standard envelope: error.code, error.message, optional error.details, and requestId. See error handling and the full code registry.
503
A dependency is unavailable or the feature is not enabled on this deployment. Codes: AUTHENTICATION_UNAVAILABLE, AUTHORIZATION_UNAVAILABLE.
| Header | Type | Description |
|---|---|---|
X-Request-Id | string | Server-generated request correlation identifier to retain for support and reconciliation. |
Content type: application/json
Standard envelope: error.code, error.message, optional error.details, and requestId. See error handling and the full code registry.
default
Machine-readable API error. The HTTP status identifies the error class.
| Header | Type | Description |
|---|---|---|
X-Request-Id | string | Server-generated request correlation identifier to retain for support and reconciliation. |
Content type: application/json
Standard envelope: error.code, error.message, optional error.details, and requestId. See error handling and the full code registry.
Nested schemas
Field links above lead to the complete nested object, array, and variant definitions below. Required fields are scoped to their containing object.
Schema 1
Response 201 variant 1
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
execution | string | Yes | allowed: "ledger", "simulated" | — |
operation | object · Schema 3 | Yes | — | — |
quote | object · Schema 4 | Yes | — | — |
walletAction | object · Schema 5 | Yes | — | — |
Additional fields are not allowed.
Schema 2
Response 201 variant 2
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
execution | string | Yes | allowed: "ledger", "simulated" | — |
operation | object · Schema 3 | Yes | — | — |
quote | object · Schema 6 | Yes | — | — |
walletAction | object · Schema 7 | Yes | — | — |
Additional fields are not allowed.
Schema 3
Response 201 variant 1.operation
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
expiresAt | string | Yes | format: date-time; pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$ | — |
id | string | Yes | format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ | — |
status | string | Yes | — | — |
Additional fields are not allowed.
Schema 4
Response 201 variant 1.quote
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
creatorRevenuePolicy | object · Schema 8 | Yes | — | — |
creatorRevenuePolicyAcceptance | object · Schema 9 | Yes | — | — |
damlRewardRouting | object · Schema 10 | Yes | — | — |
economics | object · Schema 11 | Yes | — | — |
execution | "simulated" | Yes | — | — |
expiresAt | string | Yes | format: date-time; pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$ | — |
fees | object · Schema 12 | Yes | — | — |
issuedAt | string | Yes | format: date-time; pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$ | — |
legalAcceptance | object · Schema 13 | Yes | — | — |
media | object · Schema 14 | Yes | — | — |
metadata | object · Schema 15 | Yes | — | — |
networkId | string | Yes | pattern: ^canton:[-_a-zA-Z0-9]{1,32}$ | — |
openingBuy | one or more variants · Schema 16 | Yes | — | — |
policy | object · Schema 17 | Yes | — | — |
proposedInstrument | object · Schema 18 | Yes | — | — |
proposedSlug | string | Yes | pattern: ^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$ | — |
quoteHash | string | Yes | pattern: ^sha256:[a-f0-9]{64}$ | — |
quoteId | string | Yes | format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ | — |
requestHash | string | Yes | pattern: ^sha256:[a-f0-9]{64}$ | — |
rewardConfiguration | exactly one variant · Schema 19 | Yes | — | Strict reward-routing authority union. Party IDs are opaque and case-sensitive; no trimming, casing, aliasing, or normalization is allowed. |
rewardRoutingPolicy | object · Schema 20 | Yes | — | — |
walletContext | object · Schema 21 | Yes | — | — |
Additional fields are not allowed.
Schema 5
Response 201 variant 1.walletAction
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
expiresAt | string | Yes | format: date-time; pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$ | — |
intent | object · Schema 22 | Yes | — | — |
kind | "canton.prepare-execute" | Yes | — | — |
method | "prepareExecute" | Yes | — | — |
networkId | string | Yes | pattern: ^canton:[-_a-zA-Z0-9]{1,32}$ | — |
operationId | string | Yes | format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ | — |
readiness | string | Yes | allowed: "daml-command-builder-not-configured", "ready" | — |
request | one or more variants · Schema 23 | Yes | — | — |
standard | "CIP-0103" | Yes | — | — |
Additional fields are not allowed.
Schema 6
Response 201 variant 2.quote
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
allocation | object · Schema 24 | Yes | — | — |
creatorRevenuePolicy | object · Schema 8 | Yes | — | — |
creatorRevenuePolicyAcceptance | object · Schema 9 | Yes | — | — |
curvePolicy | object · Schema 25 | Yes | — | — |
damlRewardRouting | object · Schema 10 | Yes | — | — |
display | object · Schema 26 | Yes | — | — |
economics | object · Schema 27 | Yes | — | — |
execution | "simulated" | Yes | — | — |
expiresAt | string | Yes | format: date-time; pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$ | — |
feeConfig | object · Schema 28 | Yes | — | — |
fees | object · Schema 29 | Yes | — | — |
issuedAt | string | Yes | format: date-time; pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$ | — |
ledgerCreationFeeCc | string | No | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
legalAcceptance | object · Schema 13 | Yes | — | — |
media | object · Schema 14 | Yes | — | — |
metadata | object · Schema 15 | Yes | — | — |
networkId | string | Yes | pattern: ^canton:[-_a-zA-Z0-9]{1,32}$ | — |
openingBuy | null | Yes | — | — |
policy | object · Schema 17 | Yes | — | — |
proposedInstrument | object · Schema 18 | Yes | — | — |
proposedSlug | string | Yes | pattern: ^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$ | — |
quoteHash | string | Yes | pattern: ^sha256:[a-f0-9]{64}$ | — |
quoteId | string | Yes | format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ | — |
requestHash | string | Yes | pattern: ^sha256:[a-f0-9]{64}$ | — |
rewardConfiguration | exactly one variant · Schema 19 | Yes | — | Strict reward-routing authority union. Party IDs are opaque and case-sensitive; no trimming, casing, aliasing, or normalization is allowed. |
rewardRoutingPolicy | object · Schema 20 | Yes | — | — |
totalSupply | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
walletContext | object · Schema 21 | Yes | — | — |
Additional fields are not allowed.
Schema 7
Response 201 variant 2.walletAction
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
expiresAt | string | Yes | format: date-time; pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$ | — |
intent | object · Schema 30 | Yes | — | — |
kind | "canton.prepare-execute" | Yes | — | — |
method | "prepareExecute" | Yes | — | — |
networkId | string | Yes | pattern: ^canton:[-_a-zA-Z0-9]{1,32}$ | — |
operationId | string | Yes | format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ | — |
readiness | string | Yes | allowed: "daml-command-builder-not-configured", "ready" | — |
request | one or more variants · Schema 31 | Yes | — | — |
standard | "CIP-0103" | Yes | — | — |
Additional fields are not allowed.
Schema 8
Response 201 variant 1.quote.creatorRevenuePolicy
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
attribution | object · Schema 32 | Yes | — | — |
eligibility | object · Schema 33 | Yes | — | — |
formulaId | "supanova-creator-revenue-v1" | Yes | — | — |
hash | "sha256:a926e0a380b3938648b5fa9898136638e1276128947cf94033e760f87a27e8b2" | Yes | — | — |
id | "supanova-creator-revenue-policy" | Yes | — | — |
immutable | true | Yes | — | — |
numericScale | 10 | Yes | — | — |
numericDomain | object · Schema 34 | Yes | — | — |
rounding | object · Schema 35 | Yes | — | — |
settlement | object · Schema 36 | Yes | — | — |
sources | array of unspecified · Schema 37 | Yes | min items: 3; max items: 3 | — |
version | "1" | Yes | — | — |
Additional fields are not allowed.
Schema 9
Response 201 variant 1.quote.creatorRevenuePolicyAcceptance
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
accepted | true | Yes | — | — |
policyHash | "sha256:a926e0a380b3938648b5fa9898136638e1276128947cf94033e760f87a27e8b2" | Yes | — | — |
policyId | "supanova-creator-revenue-policy" | Yes | — | — |
policyVersion | "1" | Yes | — | — |
Additional fields are not allowed.
Schema 10
Response 201 variant 1.quote.damlRewardRouting
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
creatorRewardBeneficiary | one or more variants · Schema 38 | Yes | — | — |
rewardDestination | string | Yes | allowed: "CreatorRewardDestination", "TraderCashbackDestination" | — |
rewardRoutingPolicyDigest | "sha256:fe83c99bff082060a46d8a30ea9de61fc1f165ccd2c28c595b85f393accd86dd" | Yes | — | — |
rewardRoutingPolicyVersion | "1" | Yes | — | — |
Additional fields are not allowed.
Schema 11
Response 201 variant 1.quote.economics
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
creationFeeCc | "25" | Yes | — | — |
curveAllocation | "800000000" | Yes | — | — |
curve | object · Schema 39 | Yes | — | — |
dexReserve | "200000000" | Yes | — | — |
fixedSupply | true | Yes | — | — |
graduation | object · Schema 40 | Yes | — | — |
graduationThresholdCc | "250000" | Yes | — | — |
openingPriceCcPerToken | "0.000078125" | Yes | — | — |
postGraduationAmm | object · Schema 41 | Yes | — | — |
totalSupply | "1000000000" | Yes | — | — |
tradingFeeRate | "0.01" | Yes | — | — |
Additional fields are not allowed.
Schema 12
Response 201 variant 1.quote.fees
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
creationFeeCc | "25" | Yes | — | — |
openingTradingFeeCc | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
totalDebitCc | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
tradingFeeRate | "0.01" | Yes | — | — |
Additional fields are not allowed.
Schema 13
Response 201 variant 1.quote.legalAcceptance
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
accepted | true | Yes | — | — |
acceptedAt | string | Yes | format: date-time; pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$ | — |
documentSetDigest | "sha256:334747f374e7ba4ae02b71918bd94f5d4400b19b20997244ccdf7550719296ff" | Yes | — | — |
documents | array of unspecified · Schema 42 | Yes | min items: 3; max items: 3 | — |
effectiveAt | "2026-08-04T00:00:00.000Z" | Yes | — | — |
documentVersion | "1.2" | Yes | — | — |
policyId | "supanova-permissionless-curve-launch" | Yes | — | — |
policyVersion | "3" | Yes | — | — |
updatedAt | "2026-08-12T00:00:00.000Z" | Yes | — | — |
Additional fields are not allowed.
Schema 14
Response 201 variant 1.quote.media
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
banner | one or more variants · Schema 43 | Yes | — | — |
icon | object · Schema 44 | Yes | — | — |
Additional fields are not allowed.
Schema 15
Response 201 variant 1.quote.metadata
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
bannerMediaId | string | No | format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ | — |
category | string | Yes | allowed: "defi", "payments", "infrastructure", "real_world_assets", "capital_markets", "stablecoins", "identity_compliance", "data_oracles", "consumer", "culture", "other" | — |
description | string | Yes | min length: 30; max length: 1200 | — |
docs | string | No | format: uri; max length: 2048; pattern: ^https:// | Public navigation-only HTTPS URL with a DNS hostname; credentials, IP literals, localhost and private/local DNS suffixes are forbidden. This is not permission for server-side fetching. |
iconMediaId | string | Yes | format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ | — |
name | string | Yes | min length: 2; max length: 32 | — |
socialReferences | object · Schema 45 | No | — | — |
summary | string | Yes | min length: 10; max length: 120 | — |
ticker | string | Yes | pattern: ^[A-Z0-9]{1,16}$ | — |
website | string | No | format: uri; max length: 2048; pattern: ^https:// | Public navigation-only HTTPS URL with a DNS hostname; credentials, IP literals, localhost and private/local DNS suffixes are forbidden. This is not permission for server-side fetching. |
Additional fields are not allowed.
Schema 16
Response 201 variant 1.quote.openingBuy
Type: one or more variants.
At least one of these variants must match:
- Variant 1: object · Schema 46.
- Variant 2: null.
Schema 17
Response 201 variant 1.quote.policy
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
document | object · Schema 47 | Yes | — | — |
hash | "sha256:c843cc6204a25e687e40fff5f8033416031fb28d191f40b00e530855d70dd0ce" | Yes | — | — |
id | "supanova-permissionless-curve-launch" | Yes | — | — |
immutable | true | Yes | — | — |
version | "3" | Yes | — | — |
Additional fields are not allowed.
Schema 18
Response 201 variant 1.quote.proposedInstrument
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
instrumentId | object · Schema 48 | Yes | — | — |
standard | "CIP-0056" | Yes | — | — |
status | "proposed" | Yes | — | — |
Additional fields are not allowed.
Schema 19
Response 201 variant 1.quote.rewardConfiguration
Type: exactly one variant.
Strict reward-routing authority union. Party IDs are opaque and case-sensitive; no trimming, casing, aliasing, or normalization is allowed.
Exactly one of these variants must match:
Schema 20
Response 201 variant 1.quote.rewardRoutingPolicy
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
authority | object · Schema 51 | Yes | — | — |
beneficiary | object · Schema 52 | Yes | — | — |
hash | "sha256:fe83c99bff082060a46d8a30ea9de61fc1f165ccd2c28c595b85f393accd86dd" | Yes | — | — |
id | "supanova-token-launch-reward-routing" | Yes | — | — |
immutable | true | Yes | — | — |
privacy | object · Schema 53 | Yes | — | — |
settlement | object · Schema 54 | Yes | — | — |
version | "1" | Yes | — | — |
Additional fields are not allowed.
Schema 21
Response 201 variant 1.quote.walletContext
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
creatorPartyId | string | Yes | min length: 3; max length: 512 | Opaque, case-sensitive Canton Party ID containing 3-512 Unicode scalar values with no normalization, edge whitespace, or C0/C1 control characters. |
networkId | string | Yes | pattern: ^canton:[-_a-zA-Z0-9]{1,32}$ | — |
walletConnectionId | string | Yes | format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ | — |
Additional fields are not allowed.
Schema 22
Response 201 variant 1.walletAction.intent
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
creatorRevenuePolicy | object · Schema 8 | Yes | — | — |
creatorRevenuePolicyAcceptance | object · Schema 9 | Yes | — | — |
damlRewardRouting | object · Schema 10 | Yes | — | — |
economics | object · Schema 11 | Yes | — | — |
fees | object · Schema 12 | Yes | — | — |
legalAcceptance | object · Schema 13 | Yes | — | — |
media | object · Schema 14 | Yes | — | — |
metadata | object · Schema 15 | Yes | — | — |
openingBuy | one or more variants · Schema 16 | Yes | — | — |
policy | object · Schema 17 | Yes | — | — |
proposedInstrument | object · Schema 18 | Yes | — | — |
proposedSlug | string | Yes | pattern: ^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$ | — |
quoteHash | string | Yes | pattern: ^sha256:[a-f0-9]{64}$ | — |
quoteId | string | Yes | format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ | — |
requestHash | string | Yes | pattern: ^sha256:[a-f0-9]{64}$ | — |
rewardConfiguration | exactly one variant · Schema 19 | Yes | — | Strict reward-routing authority union. Party IDs are opaque and case-sensitive; no trimming, casing, aliasing, or normalization is allowed. |
rewardRoutingPolicy | object · Schema 20 | Yes | — | — |
type | "token-launch.create" | Yes | — | — |
walletContext | object · Schema 21 | Yes | — | — |
Additional fields are not allowed.
Schema 23
Response 201 variant 1.walletAction.request
Type: one or more variants.
At least one of these variants must match:
- Variant 1: object · Schema 55.
- Variant 2: null.
Schema 24
Response 201 variant 2.quote.allocation
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
curveAllocation | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
dexAllocation | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
Additional fields are not allowed.
Schema 25
Response 201 variant 2.quote.curvePolicy
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
hash | "sha256:f0cf06fab397cb2593557dcc8d90701becc653607388286ddbe51a91be73144c" | Yes | — | — |
id | "supanova-curve-launch-policy" | Yes | — | — |
version | "1" | Yes | — | — |
Additional fields are not allowed.
Schema 26
Response 201 variant 2.quote.display
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
openingPriceCcPerToken | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,40})?$ | — |
openingPricePerMillionTokensCc | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,40})?$ | — |
smallestSellableLotTokens | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,40})?$ | — |
terminalPriceCcPerToken | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,40})?$ | — |
terminalPricePerMillionTokensCc | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,40})?$ | — |
Additional fields are not allowed.
Schema 27
Response 201 variant 2.quote.economics
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
curveAllocationBps | integer | Yes | minimum: 5001; maximum: 9999 | — |
graduationNetCc | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
maxFeeBps | integer | Yes | minimum: 0; maximum: 5000 | — |
minFeeClaimCc | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
Additional fields are not allowed.
Schema 28
Response 201 variant 2.quote.feeConfig
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
feeBps | integer | Yes | minimum: 0; maximum: 5000 | — |
platformShareBps | integer | Yes | minimum: 0; maximum: 10000 | — |
Additional fields are not allowed.
Schema 29
Response 201 variant 2.quote.fees
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
creationFeeCc | "25" | Yes | — | — |
openingTradingFeeCc | "0" | Yes | — | — |
totalDebitCc | "25" | Yes | — | — |
Additional fields are not allowed.
Schema 30
Response 201 variant 2.walletAction.intent
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
creatorRevenuePolicy | object · Schema 8 | Yes | — | — |
creatorRevenuePolicyAcceptance | object · Schema 9 | Yes | — | — |
damlRewardRouting | object · Schema 10 | Yes | — | — |
economics | object · Schema 27 | Yes | — | — |
fees | object · Schema 29 | Yes | — | — |
legalAcceptance | object · Schema 13 | Yes | — | — |
media | object · Schema 14 | Yes | — | — |
metadata | object · Schema 15 | Yes | — | — |
openingBuy | null | Yes | — | — |
policy | object · Schema 17 | Yes | — | — |
proposedInstrument | object · Schema 18 | Yes | — | — |
proposedSlug | string | Yes | pattern: ^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$ | — |
quoteHash | string | Yes | pattern: ^sha256:[a-f0-9]{64}$ | — |
quoteId | string | Yes | format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ | — |
requestHash | string | Yes | pattern: ^sha256:[a-f0-9]{64}$ | — |
rewardConfiguration | exactly one variant · Schema 19 | Yes | — | Strict reward-routing authority union. Party IDs are opaque and case-sensitive; no trimming, casing, aliasing, or normalization is allowed. |
rewardRoutingPolicy | object · Schema 20 | Yes | — | — |
type | "token-launch.create" | Yes | — | — |
walletContext | object · Schema 21 | Yes | — | — |
curvePolicy | object · Schema 25 | Yes | — | — |
feeConfig | object · Schema 28 | Yes | — | — |
totalSupply | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
Additional fields are not allowed.
Schema 31
Response 201 variant 2.walletAction.request
Type: one or more variants.
At least one of these variants must match:
- Variant 1: object · Schema 56.
- Variant 2: null.
Schema 32
Response 201 variant 1.quote.creatorRevenuePolicy.attribution
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
featuredApp | "authoritative-cc-event-uniquely-correlated-to-one-accepted-launch-instrument-only" | Yes | — | — |
reversal | "append-only-exact-opposite-once-and-only-before-any-distribution-allocation" | Yes | — | — |
routedTokenToToken | "one-source-event-per-supaswap-leg-attributed-to-that-leg-token-launch" | Yes | — | — |
unattributedActivity | "reject-never-api-prorate" | Yes | — | — |
Additional fields are not allowed.
Schema 33
Response 201 variant 1.quote.creatorRevenuePolicy.eligibility
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
activation | "exact-policy-accepted-launches-only-no-retroactive-attribution" | Yes | — | — |
beneficiary | "immutable-token-launch-reward-route-party" | Yes | — | — |
rewardDestination | "creator" | Yes | — | — |
traderCashback | "ineligible-pending-explicit-product-decision" | Yes | — | — |
Additional fields are not allowed.
Schema 34
Response 201 variant 1.quote.creatorRevenuePolicy.numericDomain
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
dust | "reject-if-gross-or-creator-rounds-to-zero" | Yes | — | — |
maximumBasisAmountCc | "999999999999999999999999.9999999999" | Yes | — | — |
Additional fields are not allowed.
Schema 35
Response 201 variant 1.quote.creatorRevenuePolicy.rounding
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
grossRevenue | "round10-half-even(source-basis-cc*source-rate)" | Yes | — | — |
split | "creator=round10-half-even(gross-revenue-cc*creator-share-rate);protocol=gross-revenue-cc-creator-revenue-cc" | Yes | — | — |
Additional fields are not allowed.
Schema 36
Response 201 variant 1.quote.creatorRevenuePolicy.settlement
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
execution | "not-enabled" | Yes | — | — |
featuredAppExternalPartyRequirement | "beneficiary-mint-delegation-or-manual-mint-each-round-required" | Yes | — | — |
legalApproval | "required-before-live" | Yes | — | — |
readiness | "canton-attribution-and-distribution-writers-not-configured" | Yes | — | — |
Additional fields are not allowed.
Schema 37
Response 201 variant 1.quote.creatorRevenuePolicy.sources
Type: array of unspecified.
min items: 3; max items: 3
Tuple positions (in order):
Schema 38
Response 201 variant 1.quote.damlRewardRouting.creatorRewardBeneficiary
Type: one or more variants.
At least one of these variants must match:
- Variant 1: string. min length:
3; max length:512 - Variant 2: null.
Schema 39
Response 201 variant 1.quote.economics.curve
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
finalFillPolicy | "reject-overfill-and-unexecutable-remainder" | Yes | — | — |
formulaId | "supanova-virtual-cpmm-v1" | Yes | — | — |
initialVirtualCcReserve | "83333.3333333333" | Yes | — | — |
initialVirtualTokenReserve | "1066666666.6666666667" | Yes | — | — |
minimumGrossBuyCc | "0.01" | Yes | — | — |
minimumGrossSellCc | "0.0099" | Yes | — | — |
minimumNetBuyCc | "0.0099" | Yes | — | — |
nonTerminalMaxGraduationPercent | "99.9999999999" | Yes | — | — |
numericScale | 10 | Yes | — | — |
openingMarginalPriceCcPerToken | "0.000078125" | Yes | — | — |
roundingPolicy | "ledger-decimal10-half-even-each-operation" | Yes | — | — |
sellResidualPolicy | "reject-nonzero-reserve-below-minimum-gross-sell" | Yes | — | — |
terminalMarginalPriceCcPerToken | "0.00125" | Yes | — | — |
Additional fields are not allowed.
Schema 40
Response 201 variant 1.quote.economics.graduation
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
acceptedReserveDepthDropBps | "2500" | Yes | — | — |
feeTreatment | "outside-active-reserve" | Yes | — | — |
firstOrderPriceImpactMultiplier | "1.3333333333" | Yes | — | — |
initialDexCcReserve | "250000" | Yes | — | — |
initialDexTokenReserve | "200000000" | Yes | — | — |
postGraduationReserveScale | "0.75" | Yes | — | — |
priceContinuity | "ratio-matched" | Yes | — | — |
reserveDepthContinuity | false | Yes | — | — |
terminalVirtualCcReserve | "333333.3333333333" | Yes | — | — |
terminalVirtualTokenReserve | "266666666.6666666667" | Yes | — | — |
trigger | "curve-inventory-exhausted-and-net-cc-reserve-reached" | Yes | — | — |
virtualReservesMigrated | false | Yes | — | — |
Additional fields are not allowed.
Schema 41
Response 201 variant 1.quote.economics.postGraduationAmm
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
authorizationMaxTtlSeconds | 900 | Yes | — | — |
fee | object · Schema 60 | Yes | — | — |
formulaId | "supanova-real-cpmm-v1" | Yes | — | — |
goldenManifestDigest | "sha256:7fc5b0d592eaf85cb083775101efe73a099b404e6334cd85ac1683ac753626d0" | Yes | — | — |
initialRealCcReserve | "250000" | Yes | — | — |
initialRealTokenReserve | "200000000" | Yes | — | — |
invariant | object · Schema 61 | Yes | — | — |
lifecycle | "atomic-graduation-seed-then-revisioned-real-reserve" | Yes | — | — |
minimumGrossBuyCc | "0.01" | Yes | — | — |
minimumGrossSellCc | "0.0099" | Yes | — | — |
minimumGrossSellDerivation | "gross-cc-from-reserve-before-fee" | Yes | — | — |
numericScale | 10 | Yes | — | — |
rounding | object · Schema 62 | Yes | — | — |
rootUniquenessAssumption | "participant-inventory-and-submission-policy-required" | Yes | — | — |
settlementReadiness | "external-settlement-adapter-unproven" | Yes | — | — |
Additional fields are not allowed.
Schema 42
Response 201 variant 1.quote.legalAcceptance.documents
Type: array of unspecified.
min items: 3; max items: 3
Tuple positions (in order):
"terms"."launch-terms"."risk".
Schema 43
Response 201 variant 1.quote.media.banner
Type: one or more variants.
At least one of these variants must match:
- Variant 1: object · Schema 44.
- Variant 2: null.
Schema 44
Response 201 variant 1.quote.media.icon
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
contentType | string | Yes | allowed: "image/gif", "image/jpeg", "image/png", "image/webp", "video/mp4" | — |
dataMode | string | Yes | allowed: "durable", "simulated" | — |
height | one or more variants · Schema 63 | Yes | — | — |
mediaId | string | Yes | format: uuid; pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$ | — |
publicUrl | one or more variants · Schema 64 | Yes | — | — |
role | string | Yes | allowed: "token_banner", "token_icon" | — |
sha256 | string | Yes | pattern: ^[0-9a-f]{64}$ | — |
sizeBytes | integer | Yes | minimum: -9007199254740991; maximum: 9007199254740991 | — |
status | string | Yes | allowed: "preview_accepted", "published", "quarantined", "rejected", "taken_down" | — |
storage | string | Yes | allowed: "discarded-preview", "removed", "supabase-private", "supabase-public", "supabase-quarantine" | — |
width | one or more variants · Schema 63 | Yes | — | — |
Additional fields are not allowed.
Schema 45
Response 201 variant 1.quote.metadata.socialReferences
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
discord | string | No | format: uri; max length: 2048; pattern: ^https:// | Non-root HTTPS discord profile/channel URL. Approved hosts: discord.gg, discord.com, discordapp.com. |
instagram | string | No | format: uri; max length: 2048; pattern: ^https:// | Non-root HTTPS instagram profile/channel URL. Approved hosts: instagram.com. |
telegram | string | No | format: uri; max length: 2048; pattern: ^https:// | Non-root HTTPS telegram profile/channel URL. Approved hosts: t.me, telegram.me. |
tiktok | string | No | format: uri; max length: 2048; pattern: ^https:// | Non-root HTTPS tiktok profile/channel URL. Approved hosts: tiktok.com. |
x | string | No | format: uri; max length: 2048; pattern: ^https:// | Non-root HTTPS x profile/channel URL. Approved hosts: x.com, twitter.com. |
youtube | string | No | format: uri; max length: 2048; pattern: ^https:// | Non-root HTTPS youtube profile/channel URL. Approved hosts: youtube.com, youtu.be. |
Additional fields are not allowed.
Schema 46
Response 201 variant 1.quote.openingBuy variant 1
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
averagePriceCcPerToken | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
creatorRevenueAllocation | exactly one variant · Schema 65 | Yes | — | — |
grossCcAmount | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
inputAmount | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
inputUnit | string | Yes | allowed: "cc", "token" | — |
netCcToCurve | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
priceImpactBps | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
stateAfter | object · Schema 66 | Yes | — | — |
tokenAmount | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
tradingFeeCc | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
Additional fields are not allowed.
Schema 47
Response 201 variant 1.quote.policy.document
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
documentSetDigest | "sha256:334747f374e7ba4ae02b71918bd94f5d4400b19b20997244ccdf7550719296ff" | Yes | — | — |
documents | array of unspecified · Schema 67 | Yes | min items: 3; max items: 3 | — |
effectiveAt | "2026-08-04T00:00:00.000Z" | Yes | — | — |
updatedAt | "2026-08-12T00:00:00.000Z" | Yes | — | — |
version | "1.2" | Yes | — | — |
Additional fields are not allowed.
Schema 48
Response 201 variant 1.quote.proposedInstrument.instrumentId
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
admin | string | Yes | min length: 1; max length: 512 | — |
id | string | Yes | min length: 1; max length: 512 | — |
Additional fields are not allowed.
Schema 49
Response 201 variant 1.quote.rewardConfiguration variant 1
Type: object.
Creator rewards route only to the exact immutable Party named by this branch.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
creatorRewardPartyId | string | Yes | min length: 3; max length: 512 | Exact opaque, case-sensitive Canton Party ID. It is preserved byte-for-byte: launcher source must equal the verified launcher Party; external source must differ. |
creatorRewardPartySource | string | Yes | allowed: "launcher", "external" | Authority rule for creatorRewardPartyId: launcher requires exact equality with the verified launch wallet Party; external requires exact inequality. |
rewardDestination | "creator" | Yes | — | — |
Additional fields are not allowed.
Schema 50
Response 201 variant 1.quote.rewardConfiguration variant 2
Type: object.
Trader cashback forbids creator Party source and Party ID fields.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
rewardDestination | "trader_cashback" | Yes | — | — |
Additional fields are not allowed.
Schema 51
Response 201 variant 1.quote.rewardRoutingPolicy.authority
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
prepareRevalidation | "exact-active-verified-wallet-context" | Yes | — | — |
quoteBinding | "verified-wallet-connection-party-and-network" | Yes | — | — |
quoteReuse | "single-operation-idempotency-key" | Yes | — | — |
Additional fields are not allowed.
Schema 52
Response 201 variant 1.quote.rewardRoutingPolicy.beneficiary
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
identity | "opaque-case-sensitive-canton-party-id" | Yes | — | — |
routes | object · Schema 68 | Yes | — | — |
Additional fields are not allowed.
Schema 53
Response 201 variant 1.quote.rewardRoutingPolicy.privacy
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
partyIdentifiers | "backend-and-entitled-ledger-projection-only" | Yes | — | — |
Additional fields are not allowed.
Schema 54
Response 201 variant 1.quote.rewardRoutingPolicy.settlement
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
execution | "not-enabled" | Yes | — | — |
readiness | "daml-command-builder-not-configured" | Yes | — | — |
Additional fields are not allowed.
Schema 55
Response 201 variant 1.walletAction.request variant 1
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
kind | string | Yes | allowed: "application-submission", "interactive-submission", "wallet-submission" | — |
commandId | string | Yes | min length: 1; max length: 255 | — |
actAs | array of string · Schema 69 | Yes | min items: 1; max items: 8 | — |
synchronizerId | string | Yes | min length: 1; max length: 512 | — |
hashingSchemeVersion | string | Yes | min length: 1; max length: 64 | — |
signatureFormat | "SIGNATURE_FORMAT_RAW" | Yes | — | — |
signingAlgorithmSpec | "SIGNING_ALGORITHM_SPEC_ED25519" | Yes | — | — |
signedBy | one or more variants · Schema 70 | Yes | — | — |
preparedTransaction | one or more variants · Schema 71 | Yes | — | — |
preparedTransactionHash | one or more variants · Schema 72 | Yes | — | — |
Additional fields are not allowed.
Schema 56
Response 201 variant 2.walletAction.request variant 1
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
kind | string | Yes | allowed: "application-submission", "interactive-submission", "wallet-submission" | — |
commandId | string | Yes | min length: 1; max length: 255 | — |
actAs | array of string · Schema 69 | Yes | min items: 1; max items: 8 | — |
synchronizerId | string | Yes | min length: 1; max length: 512 | — |
hashingSchemeVersion | string | Yes | min length: 1; max length: 64 | — |
signatureFormat | "SIGNATURE_FORMAT_RAW" | Yes | — | — |
signingAlgorithmSpec | "SIGNING_ALGORITHM_SPEC_ED25519" | Yes | — | — |
signedBy | one or more variants · Schema 70 | Yes | — | — |
preparedTransaction | one or more variants · Schema 71 | Yes | — | — |
preparedTransactionHash | one or more variants · Schema 72 | Yes | — | — |
launchPermit | object · Schema 73 | No | — | supanova-curve 0.3.0 permit-gated launch: the terms of the registrar-issued LaunchPermit the creator accepts. operationRef is the operation id and creationFeeCc equals the quote ledgerCreationFeeCc exactly. |
walletSubmission | object · Schema 74 | No | — | kind wallet-submission: the commands the wallet submits itself (one LaunchPermit_Accept on launchPermit.contractId, empty argument) and the permit as the only disclosed contract. |
Additional fields are not allowed.
Schema 57
Response 201 variant 1.quote.creatorRevenuePolicy.sources position 1
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
basis | "gross-curve-trade-notional-cc" | Yes | — | — |
creatorShareRate | "0.80" | Yes | — | — |
id | "virtual-curve-trading-fee" | Yes | — | — |
protocolShareRate | "0.20" | Yes | — | — |
revenueRate | "0.01" | Yes | — | — |
settlementStrategy | "accounted-then-ledger-distribution" | Yes | — | — |
Additional fields are not allowed.
Schema 58
Response 201 variant 1.quote.creatorRevenuePolicy.sources position 2
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
basis | "gross-supaswap-trade-notional-cc" | Yes | — | — |
creatorShareRate | "0.80" | Yes | — | — |
id | "supaswap-amm-trading-fee" | Yes | — | — |
protocolShareRate | "0.20" | Yes | — | — |
revenueRate | "0.01" | Yes | — | — |
settlementStrategy | "accounted-then-ledger-distribution" | Yes | — | — |
Additional fields are not allowed.
Schema 59
Response 201 variant 1.quote.creatorRevenuePolicy.sources position 3
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
basis | "coin-attributable-featured-app-reward-cc" | Yes | — | — |
creatorShareRate | "0.50" | Yes | — | — |
id | "featured-app-cc-reward" | Yes | — | — |
protocolShareRate | "0.50" | Yes | — | — |
revenueRate | "1.00" | Yes | — | — |
settlementStrategy | "weighted-featured-app-marker-direct" | Yes | — | — |
Additional fields are not allowed.
Schema 60
Response 201 variant 1.quote.economics.postGraduationAmm.fee
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
asset | "cc" | Yes | — | — |
buySide | "deduct-from-gross-before-cc-enters-pool" | Yes | — | — |
policy | "outside-active-reserves" | Yes | — | — |
rate | "0.01" | Yes | — | — |
routing | "creator-revenue-policy-outside-pool" | Yes | — | — |
sellSide | "deduct-from-gross-cc-after-cc-leaves-pool" | Yes | — | — |
Additional fields are not allowed.
Schema 61
Response 201 variant 1.quote.economics.postGraduationAmm.invariant
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
anchor | "50000000000000" | Yes | — | — |
anchorRelation | "initial=exact-seed;buy=tokenReserve==round10(k/ccReserve);sell=ccReserve==round10(k/tokenReserve)" | Yes | — | — |
driftPolicy | "reject-any-noncanonical-anchor-relation" | Yes | — | — |
transition | "oppositeReserve=round10(k/nextInputReserve)" | Yes | — | — |
Additional fields are not allowed.
Schema 62
Response 201 variant 1.quote.economics.postGraduationAmm.rounding
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
buyGrouping | "fee=round10(gross*rate);net=round10(gross-fee);x1=round10(x+net);y1=round10(k/x1);out=round10(y-y1)" | Yes | — | — |
mode | "ledger-decimal10-half-even-per-operation" | Yes | — | — |
sellGrouping | "y1=round10(y+tokenIn);x1=round10(k/y1);gross=round10(x-x1);fee=round10(gross*rate);net=round10(gross-fee)" | Yes | — | — |
Additional fields are not allowed.
Schema 63
Response 201 variant 1.quote.media.icon.height
Type: one or more variants.
At least one of these variants must match:
- Variant 1: integer. minimum:
-9007199254740991; maximum:9007199254740991 - Variant 2: null.
Schema 64
Response 201 variant 1.quote.media.icon.publicUrl
Type: one or more variants.
At least one of these variants must match:
- Variant 1: string. format:
uri - Variant 2: null.
Schema 65
Response 201 variant 1.quote.openingBuy variant 1.creatorRevenueAllocation
Type: exactly one variant.
Exactly one of these variants must match:
Schema 66
Response 201 variant 1.quote.openingBuy variant 1.stateAfter
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
formulaId | "supanova-virtual-cpmm-v1" | Yes | — | — |
graduated | boolean | Yes | — | — |
graduationPercent | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
marginalPriceCcPerToken | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
netCcReserve | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
tokensRemaining | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
tokensSold | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
Additional fields are not allowed.
Schema 67
Response 201 variant 1.quote.policy.document.documents
Type: array of unspecified.
min items: 3; max items: 3
Tuple positions (in order):
Schema 68
Response 201 variant 1.quote.rewardRoutingPolicy.beneficiary.routes
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
creator | object · Schema 80 | Yes | — | — |
trader_cashback | object · Schema 81 | Yes | — | — |
Additional fields are not allowed.
Schema 69
Response 201 variant 1.walletAction.request variant 1.actAs
Type: array of string.
min items: 1; max items: 8
Array items: string. min length: 3; max length: 512
Schema 70
Response 201 variant 1.walletAction.request variant 1.signedBy
Type: one or more variants.
At least one of these variants must match:
- Variant 1: string. min length:
4; max length:160 - Variant 2: null.
Schema 71
Response 201 variant 1.walletAction.request variant 1.preparedTransaction
Type: one or more variants.
At least one of these variants must match:
- Variant 1: string. max length:
4194304 - Variant 2: null.
Schema 72
Response 201 variant 1.walletAction.request variant 1.preparedTransactionHash
Type: one or more variants.
At least one of these variants must match:
- Variant 1: string. max length:
512 - Variant 2: null.
Schema 73
Response 201 variant 2.walletAction.request variant 1.launchPermit
Type: object.
supanova-curve 0.3.0 permit-gated launch: the terms of the registrar-issued LaunchPermit the creator accepts. operationRef is the operation id and creationFeeCc equals the quote ledgerCreationFeeCc exactly.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
contractId | string | Yes | min length: 1; max length: 512 | — |
operationRef | string | Yes | min length: 1; max length: 255 | — |
creator | string | Yes | min length: 3; max length: 512 | Opaque, case-sensitive Canton Party ID containing 3-512 Unicode scalar values with no normalization, edge whitespace, or C0/C1 control characters. |
instrumentId | string | Yes | min length: 1; max length: 512 | — |
ticker | string | Yes | min length: 1; max length: 64 | — |
totalSupply | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
creationFeeCc | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
expiresAt | string | Yes | format: date-time; pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$ | — |
Additional fields are not allowed.
Schema 74
Response 201 variant 2.walletAction.request variant 1.walletSubmission
Type: object.
kind wallet-submission: the commands the wallet submits itself (one LaunchPermit_Accept on launchPermit.contractId, empty argument) and the permit as the only disclosed contract.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
commands | array of object · Schema 82 | Yes | min items: 1; max items: 1 | — |
disclosedContracts | array of object · Schema 83 | Yes | min items: 1; max items: 1 | — |
Additional fields are not allowed.
Schema 75
Response 201 variant 1.quote.openingBuy variant 1.creatorRevenueAllocation variant 1
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
basisAmountCc | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
creatorRevenueCc | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
eligibility | "eligible" | Yes | — | — |
grossRevenueCc | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
lineage | "bind-on-confirmed-launch-route" | Yes | — | — |
policy | object · Schema 84 | Yes | — | — |
protocolRevenueCc | string | Yes | pattern: ^(?:0|[1-9]\d{0,27})(?:\.\d{1,10})?$ | — |
source | "virtual-curve-trading-fee" | Yes | — | — |
Additional fields are not allowed.
Schema 76
Response 201 variant 1.quote.openingBuy variant 1.creatorRevenueAllocation variant 2
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
eligibility | "ineligible" | Yes | — | — |
reason | "trader-cashback" | Yes | — | — |
Additional fields are not allowed.
Schema 77
Response 201 variant 1.quote.policy.document.documents position 1
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
digest | "sha256:ae3001c9110291ba6d97fe27343218a23ec93427ac7f7654e45e77b3fe08523d" | Yes | — | — |
slug | "terms" | Yes | — | — |
Additional fields are not allowed.
Schema 78
Response 201 variant 1.quote.policy.document.documents position 2
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
digest | "sha256:44b4ddbc306824bc9c44f1f2c57892169b3fa737df453897c66f36c8127123f5" | Yes | — | — |
slug | "launch-terms" | Yes | — | — |
Additional fields are not allowed.
Schema 79
Response 201 variant 1.quote.policy.document.documents position 3
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
digest | "sha256:3d54b4c54d38211c9cb5b5789e97607bd7c49157f7cff5928d2e348c66d04c84" | Yes | — | — |
slug | "risk" | Yes | — | — |
Additional fields are not allowed.
Schema 80
Response 201 variant 1.quote.rewardRoutingPolicy.beneficiary.routes.creator
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
external | "must-differ-from-launcher-party" | Yes | — | — |
launcher | "must-equal-launcher-party" | Yes | — | — |
partyId | "required" | Yes | — | — |
Additional fields are not allowed.
Schema 81
Response 201 variant 1.quote.rewardRoutingPolicy.beneficiary.routes.trader_cashback
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
partyId | "forbidden" | Yes | — | — |
partySource | "forbidden" | Yes | — | — |
Additional fields are not allowed.
Schema 82
Response 201 variant 2.walletAction.request variant 1.walletSubmission.commands
Type: array of object.
min items: 1; max items: 1
Array items: object · Schema 85.
Schema 83
Response 201 variant 2.walletAction.request variant 1.walletSubmission.disclosedContracts
Type: array of object.
min items: 1; max items: 1
Array items: object · Schema 86.
Schema 84
Response 201 variant 1.quote.openingBuy variant 1.creatorRevenueAllocation variant 1.policy
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
hash | "sha256:a926e0a380b3938648b5fa9898136638e1276128947cf94033e760f87a27e8b2" | Yes | — | — |
id | "supanova-creator-revenue-policy" | Yes | — | — |
version | "1" | Yes | — | — |
Additional fields are not allowed.
Schema 85
Response 201 variant 2.walletAction.request variant 1.walletSubmission.commands item
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
ExerciseCommand | object · Schema 87 | Yes | — | — |
Additional fields are not allowed.
Schema 86
Response 201 variant 2.walletAction.request variant 1.walletSubmission.disclosedContracts item
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
contractId | string | Yes | min length: 1; max length: 512 | — |
createdEventBlob | string | Yes | min length: 1 | — |
synchronizerId | string | Yes | min length: 1; max length: 512 | — |
templateId | string | Yes | min length: 1; max length: 512 | — |
Additional fields are not allowed.
Schema 87
Response 201 variant 2.walletAction.request variant 1.walletSubmission.commands item.ExerciseCommand
Type: object.
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
choice | "LaunchPermit_Accept" | Yes | — | — |
choiceArgument | object · Schema 88 | Yes | — | — |
contractId | string | Yes | min length: 1; max length: 512 | — |
templateId | string | Yes | min length: 1; max length: 512 | — |
Additional fields are not allowed.
Schema 88
Response 201 variant 2.walletAction.request variant 1.walletSubmission.commands item.ExerciseCommand.choiceArgument
Type: object.
| Field | Type | Required | Constraints | Description |
|---|
Additional fields are not allowed.
Source contract
This page is generated from the checked-in customer OpenAPI snapshot. Download JSON, download YAML, or compare the live API reference. Snapshot provenance records the retrieval date and checksum.